POST
POST requests are made to create or assign layers to a directory.
Create a directory or assign a layer to the root of the directory structure
Section titled “Create a directory or assign a layer to the root of the directory structure”POST /{organizationNickname}/projects/{projectId}/layer-directory/childrenHeader Parameters
| Name | Description |
|---|---|
| Authorization | String Civillo API Credentials *required |
Body Parameters
Body parameters must be in valid json format. Exactly one parameter is required.
1 .Create a new directory in the root folder
Section titled “1 .Create a new directory in the root folder”| Name | Description |
|---|---|
| name | String Required if creating a directory. The name of the directory to be created in the root folder. |
{ "name": "My New Folder"}2. Assign a layer to the root folder
Section titled “2. Assign a layer to the root folder”| Name | Description |
|---|---|
| layerId | Integer Required if assigning a layer. The id of the layer to be assigned to the root folder. |
{ "layerId": 122}Example output
200 OKCreate a directory or assign a layer to a sub-directory
Section titled “Create a directory or assign a layer to a sub-directory”POST /{organizationNickname}/projects/{projectId}/layer-directory/{directoryId}/childrenHeader Parameters
| Name | Description |
|---|---|
| Authorization | String Civillo API Credentials *required |
Body Parameters
Body parameters must be in valid json format. Exactly one parameter is required.
| Name | Description |
|---|---|
| name | String Required if creating a directory. The name of the sub-directory to be created in the folder. |
| layerId | Integer Required if assigning a layer. The id of the layer to be assigned to the directory. |
Example output
200 OK